List Transactions for a Customer

Returns a list of transactions for a customer. The list is sorted by data source, with transactions from bank statements listed first, followed by transactions from open banking data. Within each of the data sources, the transactions are ordered by creation date, with the most recently created transactions appearing first. Most query parameters should be passed only once for filtering. However, there are two exceptions:

  • category: This parameter can be passed multiple times to filter transactions by category.
  • data_source: This parameter can also be passed multiple times to filter transactions by data source.

Please refer to the individual parameter descriptions for more details on usage.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The Inscribe customer id.

Query Params
int64
required
1 to 10000

Set the number of transactions to be returned by request.

uuid

Send a cursor to retrieve the next set of transactions, starting after the cursor. If no cursor is sent, the first set of transactions will be returned.

string

Filter transactions to include only those with the specified transaction IDs. To filter by multiple transaction IDs, separate each ID with a comma (,). For example, transaction_ids=uuid1,uuid2.

string

Filter transactions to include only those from the specified document IDs. To filter by multiple document IDs, separate each ID with a comma (,). For example, document_ids=uuid1,uuid2. No transactions from open banking data will be returned unless you explicitly request them using the open_banking_data_ids parameter.

string

Filter transactions to include only those that exist on specific pages of documents. To filter by multiple pages, separate each page number with a comma (,). For examples, document_pages=1,2. No transactions from open banking data will be returned unless you explicitly request them using the open_banking_data_ids parameter.

string

Filter transactions to include only those from the specified open banking data uploads. To filter by multiple open banking data uploads, separate each ID with a comma (,). For example, open_banking_data_ids=uuid1,uuid2. No transactions from documents will be returned unless you explicitly request them using the document_ids parameter.

string
length ≤ 50

Filter transactions where the description or merchant contains the specified search term.

string
enum

Specify the field by which transactions should be sorted.

Allowed:
string
enum

Choose between 'ascending' or 'descending' to define the sorting order.

Allowed:
date

Filter transactions to include only those with a date greater than or equal to the specified start date.

date

Filter transactions to include only those with a date less than the specified end date.

int64

Filter transactions to include only those with an amount greater than or equal to the specified minimum amount.

int64

Filter transactions to include only those with an amount less than the specified maximum amount.

string
enum

Set a data source by which to filter transactions. Only transactions in this data source will be returned. If no data source is set, all transactions will be returned.

Allowed:
string
enum

Set a category by which to filter transactions. Only transactions in this category will be returned. If no category is set, all transactions will be returned.

boolean

Unreconciled bank statements are statements where the difference between the parsed opening and closing balances is not explained by the sum of the parsed transaction amounts. Statements are typically unreconciled if the uploaded document has poor quality or is missing some of its original pages. It can also happen when the parsing models fail to parse and extract all relevant data. If this parameter is set to False, unreconciled bank statements will be excluded from the credit insights. This parameter defaults to True, keeping all documents included.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/plain